From mboxrd@z Thu Jan  1 00:00:00 1970
From: =?UTF-8?q?=C5=A0t=C4=9Bp=C3=A1n=20N=C4=9Bmec?= <stepnem@smrk.net>
To: list+exman@causal.agency
Subject: [PATCH] Update to Linux man-pages 6.9
Date: Mon, 17 Jun 2024 09:47:31 +0200
Message-ID: <20240617074731.952233-1-stepnem@smrk.net>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

In 6.8, Linux man-pages "build system" changed so that running
GNU make (together with a number of other tools) is required to
arrive at the final form of the man pages.[1]  That said, the only
currently observable difference seems to be "Linux man-pages (unreleased)"
instead of, say, "Linux man-pages 6.9" in the man page footer
(and the release announcement seems to support that observation),
so this commit preserves the install-by-copying procedure, only
adapting the path extraction.  The installed version is always
recorded in exman.1, anyway.

[1]
6.8 release announcement:
https://lore.kernel.org/linux-man/je5cqtxomjonmjyzdkhalfxr5idkselxxgfybjtwupnocqgaai@hue4yy7hvory/

For more context, see e.g. (Gentoo and Debian reactions):
https://lore.kernel.org/linux-man/87ttjm8ero.fsf@gentoo.org/
https://lore.kernel.org/linux-man/kt2jczwpcjm7ylszg37vbg5ubjudgxw3fjhuiwbgfrq2f3x73b@rdkpvaie73kg/
---
To get a taste of the Rube Goldberg machine Alejandro Colomar
has been building, let's follow the Linux man-pages INSTALL
instruction of running 'make help' "to see the build-dependencies of
the project, that is, the dependencies of the build system":

; make help
# (about a second passes, on a fast machine, to obtain the following
# output)
To see a list of targets, run:
        $ make nothing -p \
        | grep '^\.PHONY:' \
        | tr ' ' '\n' \
        | grep -v '^\.PHONY:' \
        | sort;

To see a list of variables, run:
        $ find GNUmakefile share/mk/configure -type f \
        | sort \
        | xargs grep '^[^[:space:]].*=' \
        | sed 's/=.*/=/' \
        | grep -v -e ':DEFAULT_.*=' -e ':MAKEFILE_.*INCLUDED :=';

To see a list of dependencies (package/program), run:
        $ find share/mk/configure/build-depends -type f \
        | sed 's,share/mk/configure/build-depends/,,' \
        | sed 's,\.mk,,' \
        | sort;
# (seriously?)
; find share/mk/configure/build-depends -type f \
  | sed 's,share/mk/configure/build-depends/,,' \
  | sed 's,\.mk,,' \
  | sort
binutils/ld
bsdextrautils/col
bzip2/bzip2
checkpatch/checkpatch
clang/clang
clang-tidy/clang-tidy
coreutils/cat
coreutils/cp
coreutils/cut
coreutils/echo
coreutils/expr
coreutils/head
coreutils/install
coreutils/ln
coreutils/mkdir
coreutils/realpath
coreutils/rm
coreutils/sort
coreutils/stat
coreutils/tac
coreutils/tail
coreutils/test
coreutils/touch
coreutils/true
cppcheck/cppcheck
cpp/cpp
cpplint/cpplint
diffoscope/diffoscope
findutils/find
findutils/xargs
fontforge/fontforge
gcc/cc
git/git
grep/grep
groff/afmtodit
groff-base/eqn
groff-base/grops
groff-base/grotty
groff-base/nroff
groff-base/pic
groff-base/preconv
groff-base/tbl
groff-base/troff
groff/gropdf
groff/pfbtops
groff/post-grohtml
gzip/gzip
iwyu/iwyu
libc-bin/locale
lzip/lzip
mandoc/mandoc
man/man
moreutils/sponge
pkgconf/pkgconf
sed/sed
tar/tar
texlive-fonts-extra-links/Tinos-Regular.ttf
texlive-fonts-extra/Tinos.pfb
xz-utils/xz

Now, I'm sure not all of those are needed just to "build" the roff
sources, but having looked at the makefiles some time ago, which felt
similar to looking something up in GNU libc sources, I don't see
myself spending the resources to figure this out (only to have it
changed again next release, anyway).

To part in Alejandro's own words, have a lovely day!

 Linux/Makefile | 6 +++---
 exman.1        | 4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/Linux/Makefile b/Linux/Makefile
index 2ee81db276a3..9f9538b3f195 100644
--- a/Linux/Makefile
+++ b/Linux/Makefile
@@ -1,8 +1,8 @@
 SYSTEM = Linux
-VERSION = 6.7
+VERSION = 6.9
 MIRROR = https://mirrors.edge.kernel.org/pub/linux/docs/man-pages
 DISTFILES = man-pages-${VERSION}.tar.xz
-FILES = man-pages-${VERSION}/man[1-9]*/
-STRIP = 1
+FILES = man-pages-${VERSION}/man/man[1-9]*/
+STRIP = 2
 
 .include "../system.mk"
diff --git a/exman.1 b/exman.1
index 1fcc69634732..9f34feec69d8 100644
--- a/exman.1
+++ b/exman.1
@@ -1,4 +1,4 @@
-.Dd April 11, 2024
+.Dd June 17, 2024
 .Dt EXMAN 1
 .Os
 .
@@ -29,7 +29,7 @@ .Sh DESCRIPTION
 .It Fx
 14.0-RELEASE
 .It Linux
-man-pages 6.7
+man-pages 6.9
 .It Nx
 10.0
 .It Ox

base-commit: 65af1c7fd63d5e0f8148a81b38eefa8b811b1742
-- 
2.45.2


